#!/bin/sh

echo "Install kubectl"
yum install sudo -y
export kubectl_version='1.20.7'
curl -L "https://dl.k8s.io/v${kubectl_version}/kubernetes-client-linux-amd64.tar.gz" \
    | tar xz --strip-components=3 kubernetes/client/bin/kubectl \
    && install -t /usr/local/bin kubectl \
    && rm kubectl

# Log kubectl setup
ls -l /usr/local/bin/kubectl
